Status: Closed
Priority: Normal
Category:
Customer: CARIAD Product Issue
Numbers:
Department: G3 Affected Products: ADTF 3.9.1
Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 10 64bit
Support Level: 2nd Level Topic: ADTF::Common
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage

wir Uberlegen gerade wie wir die Templates fur die VMs unserer Versuchstrager aufziehen sollen, auf denen ADTF 3 und ADTF 2
(zumindest Gbergangsweise) laufen soll.

Wie sieht denn die Roadmap bei ADTF 3 bzgl. unterstiitzter/supporteter Betriebssysteme und Compiler aus?
Insbesondere bei Linux fragen wir uns gerade, auf welche Ubuntu Version wir setzen sollen.
Lésung

Ein Plattformwechsel/Erweiterung ist Kundenforumsbeschlussabhéngig, Stand heute ist hier nichts geplant.
Ins kommende Kundenforum (tba) wirden wir aber gerne das Thema Ubuntu 18.04 einbringen, weil 16.04 LTS bekanntlich auslauft.
Die Frage die zu klaren ist, wére zusatzliche Platform oder anstelle, damit verbunden ist ja auch ein Wartungsaufwand.

Du kannst aber auch heute bedenkenlos ein héheres Linux oder Derivat verwenden, wir bieten nur eine Referenzplatform und geben
an, welche Abhangigkeiten zu empfehlen sind.

Support bekommt ihr auch auf 20.04, Linux ist da ja ohnehin kompatibel und weniger kritisch.

Man muss auch unterscheiden zwischen build und runtime Abhangigkeiten.

Bei Windows ist auch von uns nichts angedacht, hier fahren wir mit VS2017 VC141 ganz gut.

Auch hier kann jederzeit ein VS2019 (IDE) verwendet werden, die VC141 Iasst sich auch damit betreiben und neue IDE Features
nutzen.

Theoretisch diirfte auch VC142 (Standardtoolchain von VS2019) kompatibel sein, hat aber ggf. Quereffekte mit Qt (=VC141).

History

#1 - 2020-10-16 11:00 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to Car.SW Oryg.

- Department set to G3

- Affected Products ADTF 3.9.1 added

- Platform Ubuntu 16.04 64bit, Windows 10 64bit added

Die grundsétzlichen Infos zu den Milestones und der Roadmap findet lhr auf unserer Overview of Products and Documentation Seite unter Keytopics

Die aktuellen Informationen sind auch in der Doku hinterlegt: ADTF 3 Product Information

Die Details werden die Kollegen mit Euch klaren.

#2 - 2020-10-19 10:30 - hidden
Hallo Digitalwerk Support,
https://support.digitalwerk.net/adtf/v3/keytopics/index.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_product_information.html

ich bin mal auf die genannten Seiten gegangen.

Dort sehe ich jedoch noch nicht, wann ihr voraussichtlich bei euren getesteten Betriebssysteme ein Ubuntu 18.04 dazu kommit.
Wann wird das voraussichtlich der Fall sein?

Viele GruB3e

Kai

#3 - 2020-10-19 11:58 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Kai,

ein Plattformwechsel/Erweiterung ist Kundenforumsbeschlussabhéngig, Stand heute ist hier nichts geplant.
Ins kommende Kundenforum (tba) wirden wir aber gerne das Thema Ubuntu 18.04 einbringen, weil 16.04 LTS bekanntlich auslauft.
Die Frage die zu klaren ist, wére zusatzliche Platform oder anstelle, damit verbunden ist ja auch ein Wartungsaufwand.

Du kannst aber auch heute bedenkenlos ein hdheres Linux oder Derivat verwenden, wir bieten nur eine Referenzplatform und geben an, welche
Abhangigkeiten zu empfehlen sind.

Support bekommt ihr auch auf 20.04, Linux ist da ja ohnehin kompatibel und weniger kritisch.

Man muss auch unterscheiden zwischen build und runtime Abhangigkeiten.

Bei Windows ist auch von uns nichts angedacht, hier fahren wir mit VS2017 VC141 ganz gut.
Auch hier kann jederzeit ein VS2019 (IDE) verwendet werden, die VC141 |&sst sich auch damit betreiben und neue IDE Features nutzen.
Theoretisch dirfte auch VC142 (Standardtoolchain von VS2019) kompatibel sein, hat aber ggf. Quereffekte mit Qt (=VC141).

#4 - 2020-10-19 13:15 - hidden

Hi Florian,

vielen Dank. Das beantwortet meine Fragen. Ticket kann damit aus meiner Sicht geschlossen werden.

Viele GruB3e

Kai

#5 - 2020-10-19 13:40 - hidden

- Project changed from 30 to Public Support

- Subject changed from Roadmap ADTF3 und unterstiitzte Betriebssysteme und Compiler to Roadmap supported platforms and compilers
- Description updated

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-10-19 14:11 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2021-07-26 13:24 - hidden
- Customer changed from Car.SW Org. to CARIAD

#9 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
